सामग्री पर जाएँ

FLUX.1 [dev] with LoRAs · Image to Image

इंटीग्रेट करें

मॉडल id flux-lora/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-lora/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.035 35 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs इमेज एडिटिंग #lora#style-transfer

इनपुट चित्र को नया स्टाइल देने के लिए LoRAs वाला FLUX.1 [dev] इमेज-टू-इमेज

Black Forest Labs · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

inpainting या image-to-image निर्माण के लिए स्रोत इमेज URL।

image_size

निर्मित इमेज के आयाम।

num_images डिफ़ॉल्ट 1

निर्धारित करें कि कितने इमेज बनाने हैं; आउटपुट स्ट्रीम किए जाने पर यह विकल्प 1 पर स्थिर रहता है।

उन्नत output_format · acceleration · num_inference_steps · guidance_scale · strength · seed · enable_safety_checker · loras
output_format डिफ़ॉल्ट jpeg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

acceleration डिफ़ॉल्ट none

इमेज निर्माण त्वरण सेटिंग। गति और गुणवत्ता के बीच संतुलन के लिए 'regular' चुनें।

डिफ़ॉल्ट 28

चलाए जाने वाले inference चरणों की संख्या।

डिफ़ॉल्ट 3.5

इमेज चयन के लिए प्रॉम्प्ट-अनुरूपता की शक्ति, CFG (Classifier Free Guidance) के रूप में व्यक्त।

डिफ़ॉल्ट 0.85

Inpainting/image-to-image strength, जिसमें 0.0 मूल को बनाए रखता है और 1.0 इसे पूरी तरह फिर से बनाता है। image_url के बिना इस सेटिंग का कोई प्रभाव नहीं होता।

दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।

डिफ़ॉल्ट []

वे LoRAs जिनका संयुक्त प्रभाव बनाई गई इमेज तैयार करता है; आप जितने चाहें उतने दे सकते हैं।

POST /run/flux-lora/image-to-image?wait=20 कोटेशन → $0.035
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-lora/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

FLUX.1 [dev] with LoRAs · Image to Image के बारे में

`prompt` और वैकल्पिक `loras` का उपयोग करके `image_url` से इनपुट चित्र का स्टाइल बदलता या उसमें संशोधन करता है। 0.01 से 1 तक का `strength` तय करता है कि मूल चित्र को कितनी तीव्रता से फिर से बनाया जाए। छह `image_size` प्रीसेट, 1 से 50 स्टेप्स और jpeg या png आउटपुट का समर्थन करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।
image_sizeवैकल्पिक
प्रकारobject
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
निर्मित इमेज के आयाम।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट28
1 – 50
चलाए जाने वाले inference चरणों की संख्या।
seedवैकल्पिक
प्रकारinteger | null
दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।
lorasवैकल्पिक
प्रकारobject[]
डिफ़ॉल्ट[]
वे LoRAs जिनका संयुक्त प्रभाव बनाई गई इमेज तैयार करता है; आप जितने चाहें उतने दे सकते हैं।
loras[].pathआवश्यक
प्रकारstring
LoRA weights का स्थान, URL या path के रूप में निर्दिष्ट।
loras[].scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 4
LoRA weight को base मॉडल में मर्ज करने से पहले उस पर लागू किया गया multiplier।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3.5
0 – 35
इमेज चयन के लिए प्रॉम्प्ट-अनुरूपता की शक्ति, CFG (Classifier Free Guidance) के रूप में व्यक्त।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्धारित करें कि कितने इमेज बनाने हैं; आउटपुट स्ट्रीम किए जाने पर यह विकल्प 1 पर स्थिर रहता है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा चेकर सक्रियण; true जाँच सक्षम करता है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpeg
jpegpng
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टnone
noneregular
इमेज निर्माण त्वरण सेटिंग। गति और गुणवत्ता के बीच संतुलन के लिए 'regular' चुनें।
image_urlआवश्यक image
प्रकारurl · image
inpainting या image-to-image निर्माण के लिए स्रोत इमेज URL।
strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.85
0.01 – 1
Inpainting/image-to-image strength, जिसमें 0.0 मूल को बनाए रखता है और 1.0 इसे पूरी तरह फिर से बनाता है। image_url के बिना इस सेटिंग का कोई प्रभाव नहीं होता।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-lora/image-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, width, height, content_type}निर्मित इमेज की फ़ाइल जानकारी।
timings
object
seed
integerइमेज-निर्माण seed, जिसमें इनपुट में seed न दिए जाने पर यादृच्छिक रूप से चुना गया मान शामिल है; अन्यथा, यह दिए गए मान को दोहराता है।
has_nsfw_concepts
array of booleanबताता है कि बनाई गई इमेज में NSFW अवधारणाएँ दिखाई देती हैं या नहीं।
prompt
stringइमेज निर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux-lora/image-to-image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt